aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJames McCoy <jamessan@jamessan.com>2016-05-16 23:27:05 -0400
committerJames McCoy <jamessan@jamessan.com>2016-05-17 00:04:40 -0400
commitab60a73b6a9cdd5685161a80a797a567876cd40d (patch)
treebea8c97b3d549b988bb1644f4101c5f7d3d3b0af
parent5bd65e31da488e2e9056c5caf25630d1086bfacc (diff)
downloadrneovim-ab60a73b6a9cdd5685161a80a797a567876cd40d.tar.gz
rneovim-ab60a73b6a9cdd5685161a80a797a567876cd40d.tar.bz2
rneovim-ab60a73b6a9cdd5685161a80a797a567876cd40d.zip
ci: test: Replace hard-coded commands with Makefile's targets
-rw-r--r--.ci/common/test.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/.ci/common/test.sh b/.ci/common/test.sh
index 8c32b63ab2..225d88e072 100644
--- a/.ci/common/test.sh
+++ b/.ci/common/test.sh
@@ -49,11 +49,11 @@ asan_check() {
}
run_unittests() {
- ${MAKE_CMD} -C "${BUILD_DIR}" unittest
+ ${MAKE_CMD} unittest
}
run_functionaltests() {
- if ! ${MAKE_CMD} -C "${BUILD_DIR}" ${FUNCTIONALTEST}; then
+ if ! ${MAKE_CMD} ${FUNCTIONALTEST}; then
asan_check "${LOG_DIR}"
valgrind_check "${LOG_DIR}"
exit 1
@@ -63,7 +63,7 @@ run_functionaltests() {
}
run_oldtests() {
- if ! make -C "${TRAVIS_BUILD_DIR}/src/nvim/testdir"; then
+ if ! make oldtest; then
reset
asan_check "${LOG_DIR}"
valgrind_check "${LOG_DIR}"